%define name listen
%define version 0.4.3
%define rel     1
%define release %mkrel %rel

Summary: A music manager and player for GNOME
Name:    %name
Version: %version
Release: %release
Source0: http://ovh.dl.sourceforge.net/sourceforge/listengnome/%name-%{version}.tar.bz2
Source10:  %{name}-16.png
Source11:  %{name}-32.png
Source12:  %{name}-48.png
License:  GPL
Group: Sound
URL: http://listengnome.free.fr/
BuildRoot: %{_tmppath}/%{name}-buildroot

BuildRequires: python-devel  gnome-python-extras dbus-python pyogg pymad libgpod-devel
BuildRequires: xorg-x11-Xvfb python-sqlite2 pygtk2.0-devel gtk2-devel gstreamer0.10-python
BuildRequires: pyvorbis
Requires: gnome-python-gtkhtml2 gstreamer pyogg pymad gnome-python-gnomevfs gstreamer0.10-python 
Requires: python gstreamer-alsa gstreamer0.10-plugins-ugly python-sqlite2 gnome-python-extras gnome-python
Requires: pyvorbis

%description
Listen is a music manager and player for GNOME

With listen you can:
* Play your favorite songs
* Manage your library
* Manage your ipod
* Make playlists
* Automatically or manually download album covers
* Automatically synchronize album covers with iPod
* Easily burn an audio CD
* Directly get informations from wikipedia when you play a song
* See the lyrics of a song
* Have statistics about your favorite songs, albums or artists
* Listen to web radio
* Submit your songs to Audioscrobbler
* Quick access to last.fm related file

With listen you will be able to:
 * Listen And Rip Audio CDs
 * Browse and listen songs on a DAAP share
 * Share you library via a DAAP share
 * Fill metadata with musicbrainz
 * Make inteligent playlists

%prep
%setup -q 

%build
# (misc) for import gtk, as gtk requires a X server to be imported
XDISPLAY=$(i=2; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%{_prefix}/X11R6/bin/Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY
xauth add $DISPLAY . EE

make
kill $(cat /tmp/.X$XDISPLAY-lock)
%install
rm -rf %buildroot %name.lang

make install PREFIX=%buildroot/%_prefix/
%find_lang %name

# menu

install -d %buildroot/%{_menudir}
cat <<EOF >%buildroot/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
                  icon=%{name}.png \
                  needs="x11" \
                  section="Multimedia/Sound" \
                  title="Listen"\
                  longtitle="Music manager and player"
EOF

install -m644 %{SOURCE10} -D %buildroot/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D %buildroot/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %buildroot/%{_liconsdir}/%{name}.png

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc changelog
%_prefix/lib/%name/
%_bindir/%name
%_datadir/applications/%{name}.desktop
%_datadir/pixmaps/%{name}.png
%_menudir/%{name}
%_liconsdir/%{name}.png
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png
%post 
%{update_menus}

%postun
%{clean_menus}

%changelog
* Tue May 09 2006 Jerome Soyer <saispo@mandriva.org> 0.4.3-1mdk
- New release 0.4.3

* Mon Apr  3 2006 Austin Acton <austin@mandriva.org> 0.4.2-3mdk
- fix summary (screwed up by debug package)
- fix grammar a bit

* Wed Mar 29 2006 Michael Scherer <misc@mandriva.org> 0.4.2-2mdk
- add missing BuildRequires, thanks Gotz

* Tue Mar 28 2006 Jerome Soyer <saispo@mandriva.org> 0.4.2-1mdk
- New release 0.4.2

* Mon Mar 27 2006 Jerome Soyer <saispo@mandriva.org> 0.4.1-1mdk
- New release 0.4.1


* Mon Mar 27 2006 Michael Scherer <misc@mandriva.org> 0.4-1mdk
- New release 0.4

* Fri Mar 24 2006 Michael Scherer <misc@mandriva.org> 0.3.1-2mdk
- add missing requires, thanks to blino relentless testing

* Wed Mar 22 2006 Michael Scherer <misc@mandriva.org> 0.3.1-1mdk
- first package, with the help of Sebastien Savarin ( plouf ) who
  finished the .spec
